# KIT DE PRECONFIGURATION WORDPRESS DR15

## 1. Contenu de ce répertoire

Ce répertoire contient les outils utilisés pour récupérer les fichiers du  site de
référence et le contenu de sa base de données. Ce sont ces informations qui sont
clonés sur les sites cibles pour obtenir un site prêt à l'emploi avec le Kit de
préconfiguration installé.

Ce répertoire contient deux fichiers :
* `tar.php` : script PHP à installer sur le site de référence pour effectuer
  une sauvegarde par `tar` de tous les fichiers.
* `adresse-ip.php` : script à installer sur le site de référence pour récupérer
  l'adresse IPv4 du client. Il est utilisé par `copie-preconf.sh` afin
  de limiter l'accès aux scripts d'installation.

## 2. Fabrication de l'archive `copie-preconf.tar`

L'archive `copie-preconf.tar` du kit est fabriquée selon la procédure suivante :
* se connecter par SFTP sur le site de référence 
* copier le fichier `tar.php` dans le répertoire distant `preconf.dr15.cnrs.fr/www`
* depuis un navigateur, se connecter sur l'URL <http://preconf.dr15.cnrs.fr/tar.php>
  ou bien lancer la commande ci-dessous depuis une autre fenêtre ou bien la commande
  "`!`" de SFTP. L'exécution du script doit se terminer par la ligne
  `Copie effectuée`
```
$ wget - O - http://preconf.dr15.cnrs.fr/tar.php
```
* récupérer le fichier distant `tmp/copie-preconf.tar`

## 3. Fabrication du fichier `copie-preconf.sql`

Le fichier `copie-preconf.sql` du kit est fabriqué selon la procédure suivante
* se connecter via phpMySQL sur le site de référence
* dans le bandeau de gauche, cliquer sur la table `lab0150sql0db`
* dans les onglets en haut de la fenêtre principale de l'application, cliquer sur
  Exporter
* cocher "Rapide - n'afficher qu'un minumum d'options" dans les méthodes
  d'exportation
* sélectionner "SQL" dans le format
* cliquer sur "Exécuter"
* enregistrer le fichier `lab0150sql0db.sql` puis le renommer en `copie-preconf.sql`

## 4. Préparation de la distribution

Pour mettre à jour le kit, effectuer les opérations suivantes
* déplacer le fichier `copie-preconf.tar` dans le répertoire local `../SSI`
* déplacer le fichier `copie-preconf.sql` dans le répertoire local `../SSI`
* mettre à jour les documentations le cas échéant
* mettre à jour les scripts le cas échéant
* **IMPORTANT** : changer le mot de passe de l'administrateur du site de
  référence `preconf.dr15.cnrs.fr`
* mettre à jour le fichier VERSION
* mettre à jour le fichier CHANGELOG
* importer les fichiers modifiés dans la forge

## 5. Adaptation au déploiement d'un autre site

Les outils disponibles dans le kit ont été spécialement conçus pour un déploiement
de notre machine de référence vers les sites de laboratoires.

Ils peuvent cependant être adaptés au déploiement d'autres configurations
WordPress.

Les opérations à effectuer sont les suivantes :
* copier l'ensemble de la distribution dans un autre répertoire
* aller dans ce répertoire, puis dans DR15
* faire une sauvegarde de la base de données du site à cloner comme indiqué
  dans le paragraphe 3.
* si le poste de travail n'est pas dans le réseau de la DR15, éditer le
  fichier `tar.php` et modifier les deux constantes
  `AUTHORIZED_NETWORK` et  `AUTHORIZED_MASK` pour indiquer l'adresse IP de
  votre machine :
```
define("AUTHORIZED_NETWORK", "1.2.3.4");
define("AUTHORIZED_MASK", 0xffffffff);
```
Si vous ne connaissez votre adresse IP, vous pouvez l'obtenir via l'URL
  <http://preconf.dr15.cnrs.fr/adresse-ip.php>
* effectuer les opérations décrites dans le paragraphe 2. pour récupérer
  l'archive tar du site à cloner
* copier le fichier `copie-preconf.tar' et le fichier `copie-preconf.sql` dans
  le répertoire ../SSI
* aller dans le répertoire SSI
* éditer le fichier `copie-preconf.php` et modifier les deux constantes
  `SOURCE_NAME` et  `SOURCE_ID` comme suit :

```
define("SOURCE_NAME", "site-a-cloner.cnrs.fr");
define("SOURCE_ID", "lab9999");
```

Le script `copie-preconf.sh` effectuera désormais le clonage du site
`site-a-cloner.cnrs.fr`

Cette adaptation, couplée à l'installation de multiples sites décrite plus
haut, peut s'avérer très utile pour créer un ensemble de sites WordPress
dédiés à une formation.
